/* 
 * This file is automaticaly generated, Please dont edit this file! 
 */
#include <triangle.h> 








void triangle_add( triangle * this, triangle * a ) {


	}

triangle triangle_new() {

	triangle instance;

	instance.__classIndex = 28;

	instance.a = vector2_newPointer( 1, 2 );

	instance.b = vector2_new( 3, 400 );

	instance.c = vector2_new( 5, 6 );

	return instance;

}

triangle * triangle_newPointer() {

	struct triangle * pointer = malloc( sizeof ( struct triangle ) );

	pointer->__classIndex = 28;

	pointer->a = vector2_newPointer( 1, 2 );

	pointer->b = vector2_new( 3, 400 );

	pointer->c = vector2_new( 5, 6 );

	return pointer;

}

